# BlockPreDispenseEvent (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: io.papermc.paper.event.block, class: BlockPreDispenseEvent

Package io.papermc.paper.event.block

# Class BlockPreDispenseEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
io.papermc.paper.event.block.BlockPreDispenseEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockPreDispenseEvent extends BlockEvent implements Cancellable

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockPreDispenseEvent(@NotNull Block block, @NotNull ItemStack itemStack, int slot)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItemStack()`
Gets the `ItemStack` to be dispensed.
`int`
`getSlot()`
Gets the inventory slot of the dispenser to dispense from.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockPreDispenseEvent

public BlockPreDispenseEvent(@NotNull @NotNull Block block, @NotNull @NotNull ItemStack itemStack, int slot)

## Method Details

### getItemStack

@NotNull public @NotNull ItemStack getItemStack()
Gets the `ItemStack` to be dispensed.

Returns:
  The item to be dispensed

### getSlot

public int getSlot()
Gets the inventory slot of the dispenser to dispense from.

Returns:
  The inventory slot

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event